<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>SE Code of Ethics</title>
</head>
<body>
	<br>
	<hr>
	Science and Engineering Ethics (2001) 7, 231-238
	<hr>

	<h1>Software Engineering Code of Ethics and Professional Practice</h1>
	<h3>IEEE-CAS/ACM Joint Task Force on SOftware Engineering Ethics and Professional Practices</h3>

	<hr>
	<strong>Keywords</strong>: code of ethics, professional responsibility, software engineering <br>

	<br>	
	<strong>PREAMBLE</strong>
	<br>
	<br>
	The short version of the code summarizes aspirations at a high level of abstraction. The clauses that are included in the full version give examples and details of how these aspirations change the way we act as software engineering preofessionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspirations can becpme high-sounding but empty; together, the aspirations and the details form a cohesive code. 
	<br>
	<br>
	Software engineers shall commit themselves to making the analysis, specifictaion, design, development, testing, and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health, safety and welfare of the public, software engineers shall adhere to the following eith Principles:

	<br>
	<br>
	<strong>PRINCIPLES</strong>
	<br>
	<br>

	<ul>
		<ol>
			<li><em>Public</em>.Software engineers shall act consistently with the public interest.</li>
		<li><em>Client and employer</em>. Software engineers shall act in a manner that is in the bestinterests of their client and employer, consistent with the public interest.</li>
		<li><em>Product</em> . Software engineers shall ensure that their products and relatedmodifications meet the highest professional standards possible.</li>
		<li><em>Judgement</em> . Software engineers shall maintain integrity and independence in theirprofessional judgment.</li>
		<li><em>Management</em> . Software engineering managers and leaders shall subscribe to andpromote an ethical approach to the management of software development and maintenance.</li>
		<li><em>Profession</em> . Software engineers shall advance the integrity and reputation of theprofession consistent with the public interest.</li>
		<li><em>Colleagues</em> . Software engineers shall be fair to and supportive of their colleagues.</li>
		<li><em>Self</em> . Software engineers shall participate in lifelong learning regarding the practiceof their profession and shall promote an ethical approach to the practice of the profession.</li>
			
	</ol>
	</ul>
</body>
</html>